### Enumeration

# WebKit WebProcessTerminationReason

since: 2.20

#### Declaration

    enum WebKit.WebProcessTerminationReason

#### Description [src]

Enum values used to specify the reason why the web process terminated abnormally.

Available since: 2.20

#### Members

`WEBKIT_WEB_PROCESS_CRASHED`

  The web process crashed.

  - Value: `0`
  - Nickname: `crashed`
  - Available since: 2.20
`WEBKIT_WEB_PROCESS_EXCEEDED_MEMORY_LIMIT`

  The web process exceeded the memory limit.

  - Value: `1`
  - Nickname: `exceeded-memory-limit`
  - Available since: 2.20
`WEBKIT_WEB_PROCESS_TERMINATED_BY_API`

  The web process termination was requested by an API call. Since: 2.34

  - Value: `2`
  - Nickname: `terminated-by-api`
  - Available since: 2.20